Package com.sun.ts.lib.porting

# Interface DeploymentInfo

All Superinterfaces:
  `Serializable`

public interface DeploymentInfo extends Serializable
Provides all information required to deploy an application on a server. Much of this information is extracted from runtime xml files. The following information is provided:

- EJB Jar info
- Web Resources - Display name, context root, resource references and ejb references for each web resource in this ear.
- EJB Resources - Name, JNDI name, resource references, ejb references, and CMP information for each ejb resource in this ear.
- Resource References - For each resource reference, the JNDI name, default resource principal name and password, and any mail configuration information is provided.
- EJB References - For each EJB reference, the EJB name and its corresponding JNDI name is provided.

See: javaee.home.ri/lib/dtds/sun-application_5_0-0.dtd javaee.home.ri/lib/dtds/sun-application-client_5_0-0.dtd javaee.home.ri/lib/dtds/sun-ejb-jar_3_0-0.dtd javaee.home.ri/lib/dtds/sun-web-app_2_5-0.dtd for more and updated information.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `DeploymentInfo.ParseException`
  Exception thrown if an error occured parsing the XML

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map`
  `getAppClientRuntimeData()`
  Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.appclient.SunApplicationClient interface.
  `List`
  `getAppClientRuntimeDDs()`
  Returns a List of concrete implementations of the com.sun.ts.lib.porting.appclient.SunApplicationClient interface.
  `Map`
  `getAppRuntimeData()`
  Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.app.SunApplication interface.
  `List`
  `getAppRuntimeDDs()`
  Returns a List of concrete implementations of the com.sun.ts.lib.porting.app.SunApplication interface.
  `String`
  `getContentAsXml()`
  Returns a String that conatains the contents of all the runtime XML files.
  `String`
  `getEarFile()`
  Returns the ear file to deploy
  `Map`
  `getEjbRuntimeData()`
  Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.ejb.SunEjbJar interface.
  `List`
  `getEjbRuntimeDDs()`
  Returns a List of concrete implementations of the com.sun.ts.lib.porting.ejb.SunEjbJar interface.
  `DeploymentInfo[]`
  `getPreviousInfos()`
  `String`
  `getProperty(String key)`
  Returns the value of the given property.
  `String[]`
  `getRuntimeFiles()`
  Returns the list of runtime files to be deployed
  `Map`
  `getWebRuntimeData()`
  Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.web.SunWebApp interface.
  `List`
  `getWebRuntimeDDs()`
  Returns a List of concrete implementations of the com.sun.ts.lib.porting.web.SunWebApp interface.
  `void`
  `setPreviousInfos(DeploymentInfo[] infos)`
  Sets/gets an array of deploymentInfo objects from previously deployed apps in the currrent directory along with all common apps
  `void`
  `setProperty(String key, String value)`
  Sets the value of the given property.

- ## Method Details

  - ### setProperty

    void setProperty(String key, String value)
    Sets the value of the given property. This method should be temporary, until all important information can be provided by the API.

  - ### getProperty

    String getProperty(String key)
    Returns the value of the given property. This method should be temporary, until all important information can be provided by the API.

  - ### setPreviousInfos

    void setPreviousInfos(DeploymentInfo[] infos)
    Sets/gets an array of deploymentInfo objects from previously deployed apps in the currrent directory along with all common apps

  - ### getPreviousInfos

    DeploymentInfo[] getPreviousInfos()

  - ### getEarFile

    String getEarFile()
    Returns the ear file to deploy

  - ### getRuntimeFiles

    String[] getRuntimeFiles()
    Returns the list of runtime files to be deployed

  - ### getEjbRuntimeData

    Map getEjbRuntimeData()
    Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.ejb.SunEjbJar interface.

  - ### getWebRuntimeData

    Map getWebRuntimeData()
    Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.web.SunWebApp interface.

  - ### getAppRuntimeData

    Map getAppRuntimeData()
    Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.app.SunApplication interface.

  - ### getAppClientRuntimeData

    Map getAppClientRuntimeData()
    Returns a Map that maps runtimne deployment descriptor filename Strings to concrete implementations of the com.sun.ts.lib.porting.appclient.SunApplicationClient interface.

  - ### getAppClientRuntimeDDs

    List getAppClientRuntimeDDs()
    Returns a List of concrete implementations of the com.sun.ts.lib.porting.appclient.SunApplicationClient interface.

  - ### getAppRuntimeDDs

    List getAppRuntimeDDs()
    Returns a List of concrete implementations of the com.sun.ts.lib.porting.app.SunApplication interface.

  - ### getWebRuntimeDDs

    List getWebRuntimeDDs()
    Returns a List of concrete implementations of the com.sun.ts.lib.porting.web.SunWebApp interface.

  - ### getEjbRuntimeDDs

    List getEjbRuntimeDDs()
    Returns a List of concrete implementations of the com.sun.ts.lib.porting.ejb.SunEjbJar interface.

  - ### getContentAsXml

    String getContentAsXml()
    Returns a String that conatains the contents of all the runtime XML files.